-------------------------------------------------------------------------------
-- Title      : sblock2006_package
-- Project    : sblock2006
-------------------------------------------------------------------------------
-- File       : sblock2006_package.vhd
-- Author     : Mats Jrgen yan  <matsjorg@orakel.ntnu.no>
-- Platform   : BenBlue-III, Virtex-II Pro (XC2VP70)
-------------------------------------------------------------------------------
-- Description: Konstanter og typer som brukes mange steder
-------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.all;

package sblock2006_package is
	
	constant RULE_SIZE 		: integer 	:= 49;	--Antall bits i hver regel
	constant TYPE_SIZE 		: integer 	:= 5;	  	--Antall bits i type
	

	constant MATRIX_WIDTH 	: integer 	:= 8;  	--Bredden p matrisen i antall Sblocker (kolonner)
	constant MATRIX_HEIGHT 	: integer 	:= 8; 	--Hyden p matrisen i antall Sblocker (rader)
		
	constant ZERO_PAD 		: std_logic_vector(MATRIX_HEIGHT-1 downto 0) := (others => '0');
	constant ONE_PAD  		: std_logic_vector(MATRIX_HEIGHT-1 downto 0) := (others => '1');

	type std_logic_matrix is array (MATRIX_HEIGHT-1 downto 0) of std_logic_vector(MATRIX_WIDTH-1 downto 0);
	type set_array is array (MATRIX_HEIGHT-1 downto 0) of std_logic_vector(5 downto 0);
end sblock2006_package;
