-------------------------------------------------------------------------------
-- Title      : Rulestore
-- Project    : sblock2006
-------------------------------------------------------------------------------
-- File       : rulestore.vhd
-- Author     : Mats Jrgen yan  <matsjorg@orakel.ntnu.no>
-- Platform   : BenBlue-III, Virtex-II Pro (XC2VP70)
-------------------------------------------------------------------------------
-- Description: Wrapper for regellager, egentlig undvendig
-------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity rulestore is
    Port ( 
	 	clk 				: in std_logic;
    	write_enable 	: in std_logic;
      address 			: in std_logic_vector(7 downto 0);
      rule_out 		: out std_logic_vector(48 downto 0);
      read_enable 	: in std_logic;
      rule_in 			: in std_logic_vector(48 downto 0)
		);
end rulestore;

architecture rulestore_arch of rulestore is
	component rulebram
	port (	
		addr 				: in std_logic_vector(	7 downto 0);
		din 				: in std_logic_vector ( 48 downto 0);
		we 				: in std_logic;
		clk 				: in std_logic;
		dout 				: out std_logic_vector ( 48 downto 0)
		);
	end component;

begin
	rule_memory : rulebram
	port map (
		addr => address,
		din => rule_in,
		dout => rule_out,
		we => write_enable,
		clk => clk
		);

end rulestore_arch;
